package jsftest;

import javax.servlet.ServletContextListener;
import javax.servlet.ServletContextEvent;
import javax.faces.FactoryFinder;
import javax.faces.lifecycle.LifecycleFactory;
import javax.faces.lifecycle.Lifecycle;
import javax.faces.lifecycle.ApplicationHandler;

public class JSFTestServletContextListener 
                           implements ServletContextListener  {

    public JSFTestServletContextListener()  {}

    public void contextInitialized( ServletContextEvent sce )  {
        LifecycleFactory lf =
            (LifecycleFactory)FactoryFinder.
            getFactory( FactoryFinder.LIFECYCLE_FACTORY );
        Lifecycle        lc =
            lf.getLifecycle(LifecycleFactory.DEFAULT_LIFECYCLE);
        lc.setApplicationHandler( new JSFTestApplicationHandler() );
    }

    public void contextDestroyed(ServletContextEvent e)  {}

}